weka.core.pmml.jaxbbindings

## Class Scorecard

- java.lang.Object
- - weka.core.pmml.jaxbbindings.Scorecard

-     public class Scorecard
      extends java.lang.Object

  Java class for Scorecard element declaration.

  The following schema fragment specifies the expected content contained within this class.

       <element name="Scorecard">
         <complexType>
           <complexContent>
             <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
               <sequence>
                 <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}MiningSchema"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}Output" minOccurs="0"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}ModelStats" minOccurs="0"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}ModelExplanation" minOccurs="0"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}Targets" minOccurs="0"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}LocalTransformations" minOccurs="0"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}Characteristics"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}ModelVerification" minOccurs="0"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
               </sequence>
               <attribute name="algorithmName" type="{http://www.w3.org/2001/XMLSchema}string" />
               <attribute name="baselineMethod" default="other">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <enumeration value="max"/>
                     <enumeration value="min"/>
                     <enumeration value="mean"/>
                     <enumeration value="neutral"/>
                     <enumeration value="other"/>
                   </restriction>
                 </simpleType>
               </attribute>
               <attribute name="baselineScore" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
               <attribute name="functionName" use="required" type="{http://www.dmg.org/PMML-4_1}MINING-FUNCTION" />
               <attribute name="initialScore" type="{http://www.dmg.org/PMML-4_1}NUMBER" default="0" />
               <attribute name="isScorable" type="{http://www.w3.org/2001/XMLSchema}boolean" default="true" />
               <attribute name="modelName" type="{http://www.w3.org/2001/XMLSchema}string" />
               <attribute name="reasonCodeAlgorithm" default="pointsBelow">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <enumeration value="pointsAbove"/>
                     <enumeration value="pointsBelow"/>
                   </restriction>
                 </simpleType>
               </attribute>
               <attribute name="useReasonCodes" type="{http://www.w3.org/2001/XMLSchema}boolean" default="true" />
             </restriction>
           </complexContent>
         </complexType>
       </element>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Scorecard()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAlgorithmName()` Gets the value of the algorithmName property.
    `java.lang.String` | `getBaselineMethod()` Gets the value of the baselineMethod property.
    `java.lang.Double` | `getBaselineScore()` Gets the value of the baselineScore property.
    `java.util.List<java.lang.Object>` | `getContent()` Gets the rest of the content model.
    `MININGFUNCTION` | `getFunctionName()` Gets the value of the functionName property.
    `double` | `getInitialScore()` Gets the value of the initialScore property.
    `java.lang.String` | `getModelName()` Gets the value of the modelName property.
    `java.lang.String` | `getReasonCodeAlgorithm()` Gets the value of the reasonCodeAlgorithm property.
    `boolean` | `isIsScorable()` Gets the value of the isScorable property.
    `boolean` | `isUseReasonCodes()` Gets the value of the useReasonCodes property.
    `void` | `setAlgorithmName(java.lang.String value)` Sets the value of the algorithmName property.
    `void` | `setBaselineMethod(java.lang.String value)` Sets the value of the baselineMethod property.
    `void` | `setBaselineScore(java.lang.Double value)` Sets the value of the baselineScore property.
    `void` | `setFunctionName(MININGFUNCTION value)` Sets the value of the functionName property.
    `void` | `setInitialScore(java.lang.Double value)` Sets the value of the initialScore property.
    `void` | `setIsScorable(java.lang.Boolean value)` Sets the value of the isScorable property.
    `void` | `setModelName(java.lang.String value)` Sets the value of the modelName property.
    `void` | `setReasonCodeAlgorithm(java.lang.String value)` Sets the value of the reasonCodeAlgorithm property.
    `void` | `setUseReasonCodes(java.lang.Boolean value)` Sets the value of the useReasonCodes property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Scorecard

          public Scorecard()

  - ### Method Detail

    - #### getContent

          public java.util.List<java.lang.Object> getContent()

      Gets the rest of the content model.

      You are getting this "catch-all" property because of the following reason: The field name "Extension" is used by two different parts of a schema. See: line 3310 of file:/home/david/workspace/weka/pmml-4-1.xsd line 3301 of file:/home/david/workspace/weka/pmml-4-1.xsd

      To get rid of this property, apply a property customization to one of both of the following declarations to change their names: Gets the value of the content property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the content property.

      For example, to add a new item, do as follows:

              getContent().add(newItem);

      Objects of the following type(s) are allowed in the list `ModelExplanation` `ModelStats` `Characteristics` `Output` `LocalTransformations` `Targets` `MiningSchema` `ModelVerification` `Extension`

    - #### getAlgorithmName

          public java.lang.String getAlgorithmName()

      Gets the value of the algorithmName property.
      Returns:
        possible object is `String`

    - #### setAlgorithmName

          public void setAlgorithmName(java.lang.String value)

      Sets the value of the algorithmName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getBaselineMethod

          public java.lang.String getBaselineMethod()

      Gets the value of the baselineMethod property.
      Returns:
        possible object is `String`

    - #### setBaselineMethod

          public void setBaselineMethod(java.lang.String value)

      Sets the value of the baselineMethod property.
      Parameters:
        `value` - allowed object is `String`

    - #### getBaselineScore

          public java.lang.Double getBaselineScore()

      Gets the value of the baselineScore property.
      Returns:
        possible object is `Double`

    - #### setBaselineScore

          public void setBaselineScore(java.lang.Double value)

      Sets the value of the baselineScore property.
      Parameters:
        `value` - allowed object is `Double`

    - #### getFunctionName

          public MININGFUNCTION getFunctionName()

      Gets the value of the functionName property.
      Returns:
        possible object is `MININGFUNCTION`

    - #### setFunctionName

          public void setFunctionName(MININGFUNCTION value)

      Sets the value of the functionName property.
      Parameters:
        `value` - allowed object is `MININGFUNCTION`

    - #### getInitialScore

          public double getInitialScore()

      Gets the value of the initialScore property.
      Returns:
        possible object is `Double`

    - #### setInitialScore

          public void setInitialScore(java.lang.Double value)

      Sets the value of the initialScore property.
      Parameters:
        `value` - allowed object is `Double`

    - #### isIsScorable

          public boolean isIsScorable()

      Gets the value of the isScorable property.
      Returns:
        possible object is `Boolean`

    - #### setIsScorable

          public void setIsScorable(java.lang.Boolean value)

      Sets the value of the isScorable property.
      Parameters:
        `value` - allowed object is `Boolean`

    - #### getModelName

          public java.lang.String getModelName()

      Gets the value of the modelName property.
      Returns:
        possible object is `String`

    - #### setModelName

          public void setModelName(java.lang.String value)

      Sets the value of the modelName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getReasonCodeAlgorithm

          public java.lang.String getReasonCodeAlgorithm()

      Gets the value of the reasonCodeAlgorithm property.
      Returns:
        possible object is `String`

    - #### setReasonCodeAlgorithm

          public void setReasonCodeAlgorithm(java.lang.String value)

      Sets the value of the reasonCodeAlgorithm property.
      Parameters:
        `value` - allowed object is `String`

    - #### isUseReasonCodes

          public boolean isUseReasonCodes()

      Gets the value of the useReasonCodes property.
      Returns:
        possible object is `Boolean`

    - #### setUseReasonCodes

          public void setUseReasonCodes(java.lang.Boolean value)

      Sets the value of the useReasonCodes property.
      Parameters:
        `value` - allowed object is `Boolean`